org.deidentifier.arx

## Class ARXLattice.ARXNode.Access

- java.lang.Object
- - org.deidentifier.arx.ARXLattice.ARXNode.Access

Enclosing class:
  ARXLattice.ARXNode

    public class ARXLattice.ARXNode.Access
    extends java.lang.Object

Internal access class.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`Access(ARXLattice.ARXNode node)` Accessor class

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setAnonymity(ARXLattice.Anonymity anonymity)` Sets the anonymity.
`void` `setAnonymous()` Set anonymous.
`void` `setAttributes(java.util.Map<java.lang.Integer,java.lang.Object> attributes)` Sets the attributes.
`void` `setChecked(boolean checked)` Set checked.
`void` `setHeadermap(java.util.Map<java.lang.String,java.lang.Integer> headermap)` Sets the headermap.
`void` `setHighestScore(InformationLoss<?> a)` Sets the maximal information loss.
`void` `setLowerBound(InformationLoss<?> a)` Sets the lower bound.
`void` `setLowestScore(InformationLoss<?> a)` Sets the minimal information loss.
`void` `setNotAnonymous()` Set not anonymous.
`void` `setPredecessors(ARXLattice.ARXNode[] predecessors)` Sets the predecessors.
`void` `setSuccessors(ARXLattice.ARXNode[] successors)` Sets the successors.
`void` `setTransformation(int[] transformation)` Sets the transformation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Access

    public Access(ARXLattice.ARXNode node)

Accessor class

Parameters:
  `node` -

### Method Detail

#### setAnonymity

    public void setAnonymity(ARXLattice.Anonymity anonymity)

Sets the anonymity.

Parameters:
  `anonymity` -

#### setAnonymous

    public void setAnonymous()

Set anonymous.

#### setAttributes

    public void setAttributes(java.util.Map<java.lang.Integer,java.lang.Object> attributes)

Sets the attributes.

Parameters:
  `attributes` -

#### setChecked

    public void setChecked(boolean checked)

Set checked.

Parameters:
  `checked` -

#### setHeadermap

    public void setHeadermap(java.util.Map<java.lang.String,java.lang.Integer> headermap)

Sets the headermap.

Parameters:
  `headermap` -

#### setHighestScore

    public void setHighestScore(InformationLoss<?> a)

Sets the maximal information loss.

Parameters:
  `a` -

#### setLowerBound

    public void setLowerBound(InformationLoss<?> a)

Sets the lower bound.

Parameters:
  `a` -

#### setLowestScore

    public void setLowestScore(InformationLoss<?> a)

Sets the minimal information loss.

Parameters:
  `a` -

#### setNotAnonymous

    public void setNotAnonymous()

Set not anonymous.

#### setPredecessors

    public void setPredecessors(ARXLattice.ARXNode[] predecessors)

Sets the predecessors.

Parameters:
  `predecessors` -

#### setSuccessors

    public void setSuccessors(ARXLattice.ARXNode[] successors)

Sets the successors.

Parameters:
  `successors` -

#### setTransformation

    public void setTransformation(int[] transformation)

Sets the transformation.

Parameters:
  `transformation` -